## GalView

GalView

## Synopsis

    struct              GalView;
    void                gal_view_edit                       (GalView *view,
                                                             GtkWindow *parent);
    void                gal_view_load                       (GalView *view,
                                                             const gchar *filename);
    void                gal_view_save                       (GalView *view,
                                                             const gchar *filename);
    const gchar *       gal_view_get_title                  (GalView *view);
    void                gal_view_set_title                  (GalView *view,
                                                             const gchar *title);
    const gchar *       gal_view_get_type_code              (GalView *view);
    GalView *           gal_view_clone                      (GalView *view);
    void                gal_view_changed                    (GalView *view);

## Object Hierarchy

      GObject
       +----GalView
             +----GalViewEtable

## Properties

      "title"                    gchar*                : Read / Write
      "type-code"                gchar*                : Read

## Signals

      "changed"                                        : Run Last

## Description

## Details

### struct GalView

    struct GalView;

### gal_view_edit ()

    void                gal_view_edit                       (GalView *view,
                                                             GtkWindow *parent);

`view` : | The view to edit
`parent` : | the parent window.

### gal_view_load ()

    void                gal_view_load                       (GalView *view,
                                                             const gchar *filename);

`view` : | The view to load to
`filename` : | The file to load from

### gal_view_save ()

    void                gal_view_save                       (GalView *view,
                                                             const gchar *filename);

`view` : | The view to save
`filename` : | The file to save to

### gal_view_get_title ()

    const gchar *       gal_view_get_title                  (GalView *view);

`view` : | The view to query.
Returns : | The title of the view.

### gal_view_set_title ()

    void                gal_view_set_title                  (GalView *view,
                                                             const gchar *title);

`view` : | The view to set.
`title` : | The new title value.

### gal_view_get_type_code ()

    const gchar *       gal_view_get_type_code              (GalView *view);

`view` : | The view to get.
Returns : | The type of the view.

### gal_view_clone ()

    GalView *           gal_view_clone                      (GalView *view);

`view` : | The view to clone.
Returns : | The clone.

### gal_view_changed ()

    void                gal_view_changed                    (GalView *view);

`view` : | The view that changed.

## Property Details

### The `"title"` property

      "title"                    gchar*                : Read / Write

Default value: NULL

### The `"type-code"` property

      "type-code"                gchar*                : Read

Default value: NULL

## Signal Details

### The `"changed"` signal

    void                user_function                      (GalView *galview,
                                                            gpointer user_data)      : Run Last